### A free/open-source library for quantitative finance

Public Types | Public Member Functions
UnitedStates Class Reference
Calendars

United States calendars. More...

`#include <ql/time/calendars/unitedstates.hpp>`

Inheritance diagram for UnitedStates:
[legend]

List of all members.

## Public Types

enum | Market { Settlement, NYSE, GovernmentBond, NERC }
| US calendars. More...

## Public Member Functions

| UnitedStates (Market market=Settlement)

## Detailed Description

United States calendars.

Public holidays (see: http://www.opm.gov/fedhol/):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday if actually on Sunday, or to Friday if on Saturday)
- Martin Luther King's birthday, third Monday in January
- Presidents' Day (a.k.a. Washington's birthday), third Monday in February
- Memorial Day, last Monday in May
- Independence Day, July 4th (moved to Monday if Sunday or Friday if Saturday)
- Labor Day, first Monday in September
- Columbus Day, second Monday in October
- Veterans' Day, November 11th (moved to Monday if Sunday or Friday if Saturday)
- Thanksgiving Day, fourth Thursday in November
- Christmas, December 25th (moved to Monday if Sunday or Friday if Saturday)

Holidays for the stock exchange (data from http://www.nyse.com):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday if actually on Sunday)
- Martin Luther King's birthday, third Monday in January (since 1998)
- Presidents' Day (a.k.a. Washington's birthday), third Monday in February
- Good Friday
- Memorial Day, last Monday in May
- Independence Day, July 4th (moved to Monday if Sunday or Friday if Saturday)
- Labor Day, first Monday in September
- Thanksgiving Day, fourth Thursday in November
- Presidential election day, first Tuesday in November of election years (until 1980)
- Christmas, December 25th (moved to Monday if Sunday or Friday if Saturday)
- Special historic closings (see http://www.nyse.com/pdfs/closings.pdf)

Holidays for the government bond market (data from http://www.bondmarkets.com):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday if actually on Sunday)
- Martin Luther King's birthday, third Monday in January
- Presidents' Day (a.k.a. Washington's birthday), third Monday in February
- Good Friday
- Memorial Day, last Monday in May
- Independence Day, July 4th (moved to Monday if Sunday or Friday if Saturday)
- Labor Day, first Monday in September
- Columbus Day, second Monday in October
- Veterans' Day, November 11th (moved to Monday if Sunday or Friday if Saturday)
- Thanksgiving Day, fourth Thursday in November
- Christmas, December 25th (moved to Monday if Sunday or Friday if Saturday)

Holidays for the North American Energy Reliability Council (data from http://www.nerc.com/~oc/offpeaks.html):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday if actually on Sunday)
- Memorial Day, last Monday in May
- Independence Day, July 4th (moved to Monday if Sunday)
- Labor Day, first Monday in September
- Thanksgiving Day, fourth Thursday in November
- Christmas, December 25th (moved to Monday if Sunday)

Tests:
  the correctness of the returned results is tested against a list of known holidays.

Examples:
  Bonds.cpp, and CallableBonds.cpp.

## Member Enumeration Documentation

enum Market

US calendars.

Enumerator:

  Settlement | generic settlement calendar
  NYSE | New York stock exchange calendar.
  GovernmentBond | government-bond calendar
  NERC | off-peak days for NERC